package d6;

/**
 * Kulkuneuvo luokka mallintaa yleisesti kulkuneuvoja
 * @author jokayli
 * @version 23.2.2025
 */
public class Kulkuneuvo {
    public int nopeus, matkustajat;
    public boolean onkoKaynnissa = false;
    public Kulkuneuvo(int nopeus, int matkustajat) {
        this.nopeus = nopeus;
        this.matkustajat = matkustajat;
    }

    public void nopeus() {
        if (this.onkoKaynnissa) {
            System.out.println("Nopeus on " + nopeus + " kmh");
        } else {
            System.out.println("Kulkuneuvo ei ole käynnissä, käynnistä ensin kulkuneuvo");
        }
    }

    public void kaynnista() {
        if (this.onkoKaynnissa) {
            System.out.println("Kulkuneuvo on jo käynnissä");
        } else {
            this.onkoKaynnissa = true;
            System.out.println("Käynnistetään kulkuneuvo");
        }
    }

    public void sammuta() {
        if (!this.onkoKaynnissa) {
            System.out.println("Kulkuneuvo on jo sammuksissa");
        } else {
            this.onkoKaynnissa = false;
            System.out.println("Sammutetaan kulkuneuvo");
        }
    }

    public static void main(String[] args) {
        Kulkuneuvo ku = new Kulkuneuvo(5, 3);
        ku.kaynnista(); //"Käynnistetään kulkuneuvo"
        ku.kaynnista(); //"Kulkuneuvo on jo käynnissä"
        ku.sammuta(); // "Sammutetaan kulkuneuvo"
        ku.nopeus(); // "Kulkuneuvo ei ole käynnissä, käynnistä ensin kulkuneuvo"
    }
}
