package d6.perinta;

import d6.rajapinta.ElainRajapinta;

/**
 * Elain joka toteutaa ElainRajapintaa
 * @author jokayli
 * @version 23.2.2025
 * @example
 * <pre name="test">
 *   Elain k = new Elain("Musti",2300);
 *   k.tulosta() === "Musti 2300.0";
 * </pre>
 */
public class Elain implements ElainRajapinta {
    private String nimi;
    private double paino;

    /**
     * Eläimen alustus
     * @param nimi eläimen nimi
     * @param paino eläimen paino g
     */
    public Elain(String nimi, double paino) {
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * Eläimen ääntely
     */
    @Override
    public void aantele() {
        System.out.println("???");
    }

    /**
     * Tulostaa eläimen muodossa "nimi paino"
     */
    @Override
    public void tulosta() {
        System.out.println(nimi + " " + paino);
    }

    /**
     * @return eläimen tiedot muodossa "Miuku 18000"
     */
    @Override
    public String toString() {
        return nimi + " " + paino;
    }
}
