package d6.perinta;

/**
 * Kotka joka perii Elain luokan
 * @author jokayli
 * @version 23.2.2025
 * @example
 * <pre name="test">
 *   Kotka k = new Kotka("Kotka",2300);
 *   k.tulosta(); // tulostaa "Kotka 2300.0";
 * </pre>
 */
public class KotkaElain extends Elain {
    public KotkaElain(String nimi, int paino) {
        super(nimi, paino);
    }

    /**
     * Ääntelee kuin kotka
     */
    @Override
    public void aantele() {
        System.out.println("kraahkraah");
    }
}
