package d7;

public class TehtavaT8 {
    public static void main(String[] args) {
        // pääohjelma jossa kutsut aliohjelmia
        double[] numerot = {1.0, 2.0, 3.0, 4.0, 5.0};
    }


    /**
     * Palauttaa reaalilukutaulukon suurimman arvon
     * @example
     * <pre name="test">
     * double[] numerot = {-1.0, 1.0, 2.0, 1.5};
     * paras(numerot) ~~~ 2.0
     * </pre>
     */
    public static double paras(double[] numerot) {
        double paras = 0;
        for (int i = 0; i < numerot.length; i++) {
            if (i == 0) {
                paras = numerot[i];
            } else {
                paras = Math.max(numerot[i], paras);
            }
        }
        return paras;
    }


    /**
     * Palauttaa reaalilukutaulukon suurimman arvon
     * @example
     * <pre name="test">
     * double[] numerot = {-1.0, 1.0, 2.0, 1.5};
     * huonoin(numerot) ~~~ -1.0
     * </pre>
     */
    public static double huonoin(double[] numerot) {
        double huonoin = 0;
        for (int i = 0; i < numerot.length; i++) {
            if (i == 0) {
                huonoin = numerot[i];
            } else {
                huonoin = Math.min(numerot[i], huonoin);
            }
        }
        return huonoin;
    }


    /**
     * @example
     * <pre name="test">
     * double[] numerot = {1.0, 2.0, 2.0, 3.0};
     * summa(numerot) ~~~ 8.0
     * </pre>
     */
    public static double summa(double[] numerot) {
        double summa = 0;
        for (int i = 0; i < numerot.length; i++) {
            summa += numerot[i];
        }
        return summa;
    }


    /**
     * @example
     * <pre name="test">
     * double[] numerot = {1.0, 2.0, 2.0, 3.0};
     * summaHuonoinJaParasPois(numerot) ~~~ 4.0
     * </pre>
     */
    public static double summaHuonoinJaParasPois(double[] numerot) {
        double summa = summa(numerot);
        double huonoin = huonoin(numerot);
        double paras = paras(numerot);
        return summa - huonoin - paras;
    }
}
