package fxPadelRekisteri;

import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextField;
import javafx.scene.input.MouseEvent;
import javafx.stage.Stage;
import padelRekisteri.Tulos;

public class UusiTulosController implements ModalControllerInterface<Tulos> {

    @FXML
    private ChoiceBox<?> selectHalli;

    @FXML
    private ChoiceBox<?> selectKO;

    @FXML
    private ChoiceBox<?> selectKV;

    @FXML
    private ChoiceBox<?> selectVO;

    @FXML
    private ChoiceBox<?> selectVV;

    @FXML
    private TextField textEra1;

    @FXML
    private TextField textEra2;

    @FXML
    private TextField textEra3;

    @FXML
    private TextField textPvm;

    private Tulos tulos = new Tulos();

    @FXML
    void handlePeruuta(MouseEvent event) {
        ModalController.closeStage(textPvm);
    }

    /**
     * Luodan nimenkysymisdialog ja palautetaan kirjoitettu nimi tai null
     * @return null jos painetaan cancel, muuten nimi
     */
    public static Tulos avaaUusiTulos() {
        return ModalController.showModal(
                UusiTulosController.class.getResource("UusiTulosView.fxml"), "Uusi tulos", null, null
        );
    }

    public void handleTallenna() {
        tulos.asetaTestiArvot();
    }

    @Override
    public Tulos getResult() {
        return tulos;
    }

    @Override
    public void setDefault(Tulos tulos) {

    }

    @Override
    public void handleShown() {

    }
}
