package fxPadelRekisteri;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.control.Button;
import javafx.scene.input.MouseEvent;
import javafx.scene.text.Text;

public class ViewChangeHandler {

    @FXML
    private Button buttonHallit;

    @FXML
    private Button buttonOmatTiedot;

    @FXML
    private Button buttonTulokset;

    private String haeMouseEventButtonText(MouseEvent event) {
        Button btn = (Button) event.getSource();
        return btn.toString();
    }

    @FXML
    void handleViewChange(MouseEvent event) {
        System.out.println("ViewChangeHandler");
        try {
            Parent root = null;
            if (haeMouseEventButtonText(event).equals(buttonTulokset.toString())) {
                root = new FXMLLoader(ViewChangeHandler.class.getResource("PadelRekisteriGUIView.fxml")).load();
            } else if (haeMouseEventButtonText(event).equals(buttonHallit.toString())) {
                root = new FXMLLoader(ViewChangeHandler.class.getResource("HallitView.fxml")).load();
            } else if (haeMouseEventButtonText(event).equals(buttonOmatTiedot.toString())) {
                root = new FXMLLoader(ViewChangeHandler.class.getResource("OmatTiedotView.fxml")).load();
            }
            if (root != null) {
                buttonHallit.getScene().setRoot(root);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
