package padelRekisteri;

import java.util.ArrayList;
import java.util.Iterator;

public class Tulokset implements Luettava<Tulos> {
    private ArrayList<Tulos> tulokset = new ArrayList<>();


    public void lisaa(Tulos t) {
        tulokset.add(t);
    }
    public Iterator<Tulos> iterator() {
        return tulokset.iterator();
    }

    public ArrayList<Tulos> getTulokset() {
        return tulokset;
    }

    /**
     * Lukee hallien tiedot tiedostosta ja lisää ne tietoihin
     * TODO: lue tiedostosta, nyt vain luodaan testidataa
     */
    public ArrayList<Tulos> lueTiedostosta() {
        for (int i = 0; i < 5; i++) {
            Tulos t = new Tulos();
            t.asetaTestiArvot();
            tulokset.add(t);
        }
        return (ArrayList<Tulos>) tulokset;
    }

    /**
     * Etsii hallin annetun id:n perusteella
     * @param id
     * @return Tulos
     */
    public Tulos etsi(int id) {
        Iterator<Tulos> it = iterator();
        while (it.hasNext()) {
            Tulos t = it.next();
            if (t.getId() == id) {
                return t;
            }
        }
        return null;
    }
}
