/**
 * Luo juures luokan joka toteuttaa Syotava rajapintaa
 * @example <pre name="test">
 * Juures juures = new Juures("Porkkana", 15);
 * juures.annaTiedot() === "Juureksen nimi: Porkkana. Kcal per gramma: 15"
 * juures.paljonkoEnergiaa(100) ~~~ 1500
 * </pre>
 */
public class Juures implements Syotava {
    private int kcal = 0; // kcal per gramma
    private String nimi="";
    public Juures(String nimi, int kcal) {
        this.nimi = nimi;
        this.kcal = kcal;
    }
    @Override
    public void tulostaTiedot() {
        System.out.println(annaTiedot());
    }

    @Override
    public String annaTiedot() {
        return "Juureksen nimi: " + nimi + ". Kcal per gramma: " + kcal;
    }

    @Override
    public double paljonkoEnergiaa(double maara) {
        return maara * kcal;
    }

    public void setKcal(int kcal) {
        this.kcal = kcal;
    }
}
