public class Pelaaja {

    private String nimi = "";
    private int pisteet = 0;

    /**
     * Muodostaa pelaajan annetulla nimellä ja pisteillä.
     * @param nimi Pelaajan nimi.
     * @param pisteet Palaajan pisteet kokonaislukuna.
     */
    public Pelaaja(String nimi, int pisteet) {
        if (nimi != null) {
            this.nimi = nimi;
        } else {
            this.nimi = "";
        }
        this.pisteet = pisteet;
    }


    /**
     * Muodostaa pelaajan annetulla nimellä.
     * @param nimi Pelaajan nimi.
     */
    public Pelaaja(String nimi) {
        this.nimi = nimi;
    }


    /**
     * Palauttaa pelaajan pisteet
     * @return pistemäärä
     */
    public int getPisteet() {
        return this.pisteet;
    }

    public String toString() {
        return nimi + " (" + pisteet + ")";
    }
}
