package d10;

import java.io.FileReader;
import java.io.IOException;
import java.util.Scanner;

/**
 * Luetaan tiedosto ja tulostetaan tiedoston rivit, niin että alussa rivinumerot ja maksimipituus 40merkkiä
 */
public class TehtavaT1 {
    public static void main(String[] args) {
        if (args.length == 0) {
            System.out.println("Anna tiedoston nimi argumenttina");
            return;
        }
        String tiedosto = args[0];
        try (Scanner f = new Scanner(new FileReader(tiedosto))) {
            int rivinumero = 1;
            while (f.hasNextLine()) {
                String rivi = f.nextLine();
                System.out.printf("/* %02d */ %s\n", rivinumero, rivi.substring(0, Math.min(rivi.length() - 1, 40)));
                rivinumero++;
            }
        } catch (IOException e) {
            e.printStackTrace();
            System.out.println("Virhe tiedostoa lukiessa");
        }
    }
}
