package d10;

import java.io.FileReader;
import java.io.IOException;
import java.util.Scanner;

/**
 * Luetaan tiedosto ja tulostetaan tiedoston rivit, jotka alkavat kahdella tähdellä **
 */
public class TehtavaT2 {
    public static void main(String[] args) {
        if (args.length == 0) {
            System.out.println("Anna tiedoston nimi argumenttina");
            return;
        }
        String tiedosto = args[0];
        try (Scanner f = new Scanner(new FileReader(tiedosto))) {
            while (f.hasNextLine()) {
                String rivi = f.nextLine();
                String[] palat = rivi.trim().split(" ");
                if (palat.length > 0 && palat[0].equals("**")) {
                    System.out.println(rivi);
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
            System.out.println("Virhe tiedostoa lukiessa");
        }
    }
}
