package d11;

import fi.jyu.mit.ohj2.Mjonot;
import fi.jyu.mit.ohj2.Syotto;

import static d11.TehtavaT6.funMax;
import static d11.TehtavaT6.funMin;

public class Tehtava78 {
    public static void main(String[] args)  {
        double x1=-5,x2=5,dx=0.5,y1,y2; String s;
        TehtavaT6.FunktioRR f = new TehtavaT6.SinFun();

        System.out.println("Piirrän funktion sin(x)");
        s = Syotto.kysy("Anna väli ja tiheys jolla piirretään",
                Mjonot.fmt(x1,4,2) + " " + Mjonot.fmt(x2,4,2) + " "
                        +  Mjonot.fmt(dx,4,2));
        StringBuffer sb = new StringBuffer(s);
        x1 = Mjonot.erota(sb,' ',x1);
        x2 = Mjonot.erota(sb,' ',x2);
        dx = Mjonot.erota(sb,' ',dx);

        y1 = funMin(f,x1,x2,dx);
        y2 = funMax(f,x1,x2,dx);

        piirra(f,x1,x2,y1,y2,dx);
    }

    public static void piirra(TehtavaT6.FunktioRR f, double x1, double x2, double y1, double y2, double dx) {
        String s = " ";
        int middlePosition = 15; // number of spaces
        for (double x = x1; x <= x2; x += dx) {
            double value = f.f(x);
            int position;
            if (value >= 0) {
                position = (int) (Math.abs(y2) * value * middlePosition);
            } else {
                position = (int) (Math.abs(y1) * value * middlePosition);
            }
            System.out.println(s.repeat(position + middlePosition) + "*");
        }
    }
}
