package d3.fxHuone;

import fi.jyu.mit.ohj2.Mjonot;
import fxYleiset.FxYleiset;
import javafx.fxml.FXML;
import javafx.scene.control.TextField;

/**
 * @author joonas
 * @version 02/02/2025
 */
public class HuoneGUIController {
    @FXML
    private TextField textKorkeus;

    @FXML
    private TextField textLeveys;

    @FXML
    private TextField textPintaAla;

    @FXML
    private TextField textPituus;

    @FXML
    private TextField textTilavuus;

    @FXML
    void onKeyReleased() {
        laske();
    }

    private double laskePintaAla(double pituus, double leveys) {
        return pituus * leveys;
    }

    private double laskeTilavuus(double pituus, double leveys, double korkeus) {
        return pituus * leveys * korkeus;
    }

    private void laske() {
        double pituus = FxYleiset.haeLuku(textPituus, 0);
        double leveys = FxYleiset.haeLuku(textLeveys, 0);
        double korkeus = FxYleiset.haeLuku(textKorkeus, 0);
        double pintaAla = laskePintaAla(pituus, leveys);
        FxYleiset.laitaLuku(textPintaAla, pintaAla);
        double tilavuus = laskeTilavuus(pituus, leveys, korkeus);
        FxYleiset.laitaLuku(textTilavuus, tilavuus);
    }
}