package d4;

public class Tehtava4Demohyvitys {

    /**
     * Tämä funktio laskee ohjelmointi2 kurssin demohyvityspisteet pisteprosenttien perusteella
     * @param pisteet Opiskelijan saamat pisteet
     * @param maksimi Mahdollinen maksimimäärä demopisteitö
     * @return palauttaa demohyvityspisteiden määrän
     *
     * @example
     * <pre name="test">
     * demohyvitys(4,10) === 1
     * demohyvitys(5,10) === 2
     * demohyvitys(10,15) === 3
     * demohyvitys(11,10) === 6
     * </pre>
     */
    public static int demohyvitys(int pisteet, int maksimi){
        double pisteProsentti = ((double)pisteet/maksimi) * 100;
        int hyvitysPisteet;
        if (pisteProsentti < 40){
            hyvitysPisteet = 0;
        } else if (pisteProsentti < 50){
            hyvitysPisteet = 1;
        } else if (pisteProsentti < 60){
            hyvitysPisteet = 2;
        } else if (pisteProsentti < 70){
            hyvitysPisteet = 3;
        } else if (pisteProsentti < 80){
            hyvitysPisteet = 4;
        } else if (pisteProsentti < 90){
            hyvitysPisteet = 5;
        } else {
            hyvitysPisteet = 6;
        }
        return hyvitysPisteet;
    }
}
