package d4.fxIka;

import fi.jyu.mit.ohj2.Mjonot;
import fxYleiset.FxYleiset;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;

/**
 * @author joona
 * @version 06/02/2025
 */
public class IkaGUIController {
    final int NYKYINEN_VUOSI = 2025;

    @FXML
    private Label labelTanaVuonna;

    @FXML
    private TextField textSyntymavuosi;

    @FXML
    void onKeyReleased() {
        double ika =  NYKYINEN_VUOSI - haeLuku(textSyntymavuosi, 0);
        labelTanaVuonna.setText(String.format("Täytät tänä vuonna %5.0f vuotta.", ika));
    }

    private double haeLuku(TextField text, double oletus ) {
        return Mjonot.erotaDouble(text.getText(), oletus);
    }
}