package d6;

public class T6TaulukonKasittely {

    /**
     * @param taulukko taulukko lukuja
     * @return palauttaa taulukon pienimmän alkion indeksin
     * @example <pre name="test">
     * int[] t = {31,28,31,30,31,30,31,31,30,31,30,31};
     * pienimmanPaikka(t) === 1
     * int[] t2 = {15,20,25,5,10,15,25};
     * pienimmanPaikka(t2) === 3
     * </pre>
     */
    public static int pienimmanPaikka(int[] taulukko){
        int indeksi = 0;
        for (int i = 0; i < taulukko.length; i++) {
            if (taulukko[i] < taulukko[indeksi]) {
                indeksi = i;
            }
        }
        return indeksi;
    }

    /**
     * @param taulukko taulukko lukuja
     * @return palauttaa taulukon pienimmän alkion arvon
     * @example <pre name="test">
     * int[] t = {31,28,31,30,31,30,31,31,30,31,30,31};
     * pienin(t) === 28
     * int[] t2 = {15,20,25,5,10,15,25};
     * pienin(t2) === 5
     * </pre>
     */
    public static int pienin(int[] taulukko){
        int indeksi = pienimmanPaikka(taulukko);
        return taulukko[indeksi];
    }

    public static void main(String[] args) {

    }
}
