package d7;


import javax.sound.midi.SysexMessage;

/**
 * {
 * if      ( paino <= 50 )   return  1.00; // HUONO; ks alla
 * else if ( paino <= 100 )  return  1.40;
 * else if ( paino <= 250 )  return  2.00;
 * else if ( paino <= 500 )  return  4.00;
 * else if ( paino <= 1000 ) return  6.00;
 * else if ( paino <= 2000 ) return 10.00;
 * else                      return  0.00;
 * }
 */

public class TehtavaT3 {
    public static void main(String[] args) {
        double rahani = 2.4;
        System.out.println("Voin ostaa " + suurinKirjeenPaino(rahani) + "grammaa painavan kirjeen.");
    }

    /**
     * Palauttaa suurimman kirjeen jonka rahalla saa
     *
     * @example <pre name="test">
     * suurinKirjeenPaino(5.00) === 1000
     * suurinKirjeenPaino(1.00) === 50
     * suurinKirjeenPaino(1.01) === 100
     * </pre>
     */
    public static int suurinKirjeenPaino(double raha) {
        return switch ((int) raha) {
            case double v when v <= 1.00 -> 50;
            case double v when v <= 1.40 -> 100;
            case double v when v <= 2.00 -> 250;
            case double v when v <= 4.00 -> 500;
            case double v when v <= 6.00 -> 1000;
            case double v when v > 6.00 -> 2000;
            default -> 0;
        };
    }
}
