package d8;

public class TehtavaT7 {
    public static void main(String[] args) {}

    /**
     *
     * @param matriisi numeromatriisi
     * @return matriisin summan
     * @example
     * <pre name="test">
     * summa(new double[][] $luvut) ~~~ $summa;
     *
     *      $luvut          |   $summa
     *    -------------------------------
     *       {}             |    0
     *       {{11}}         |    11
     *       {{11, 22}}    |     33
     *       {{11, 22},{13, 15, 25}}    |     86
     *       {{11, 22},{13, 15, 25, 20},{50, 20}}    |     176
     * </pre>
     */
    public static double summa(double[][] matriisi) {
        double summa = 0;
        for (double[] numerot : matriisi) {
            summa += d7.TehtavaT8.summa(numerot);
        }
        return summa;
    }
}
