package d9;

import java.io.OutputStream;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class ArrayListMalliGen {  // TehtavaT5b

    /**
     * @param os virta johon tulostetaan
     * @param luvut tulostettavat luvut
     */
    public static void tulosta(OutputStream os, Collection<Int> luvut) {
        @SuppressWarnings("resource")
        PrintStream out = new PrintStream(os);
        for (Int luku : luvut) {
            out.print(luku + " ");
        }
        out.println();
    }

    /**
     * @param os virta johon tulostetaan
     * @param luvut tulostettavat luvut
     */
    public static void tulostaIter(OutputStream os, Collection<Int> luvut) {
        @SuppressWarnings("resource")
        PrintStream out = new PrintStream(os);
        for (Iterator<Int> it = luvut.iterator(); it.hasNext(); ) {
            Int luku = it.next();
            out.print(luku + " ");
        }
        out.println();
    }

    /**
     * Esimekki listasta
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        ArrayList<Int> luvut = new ArrayList<Int>(7);
        try {
            luvut.add(new Int(0));
            luvut.add(new Int(2));
            luvut.add(new Int(99));
        } catch (Exception e) {
            System.out.println("Virhe: " + e.getMessage());
        }
        System.out.println(luvut);
        luvut.get(1).set(4);
        System.out.println(luvut);
        Int luku = luvut.get(2);
        System.out.println("Paikassa 2 on " + luku);
        tulosta(System.out, luvut);
        try {
            luvut.get(21).set(4);
        } catch (IndexOutOfBoundsException e) {
            System.out.println("Virhe: " + e.getMessage());
        }
    }
}
