package d9;

/**
 *  * @author Joonas Yli-Saari
 *  * @version 1.0, 16.03.2025
 */
public class TehtavaT2 {
    public static void main(String[] args) {
        System.out.println(pisinNouseva("abajiuxc"));
        System.out.println(pisinNouseva("kissa"));
        System.out.println(pisinNouseva("abcdefg"));
        System.out.println(pisinNouseva("dcba"));
        System.out.println(pisinNouseva("ab"));
        System.out.println(pisinNouseva("a"));
        System.out.println(pisinNouseva(""));
    }

    /**
     * Tarkistaa annetun merkkijonon kaikki merkit ja etsi mikä on pisin nouseva alimerkkijono
     * @param merkkijono Merkkijono
     * @return palauttaa pisimmän nousevan alimerkkijonon pituuden
     * esim "kissa"     => 3 (eli iss)
     *
     * @example <pre name="test">
     * pisinNouseva("kissa") === 3
     * pisinNouseva("abcdefg") === 7
     * </pre>
     */
    public static int pisinNouseva(String merkkijono) {
        int pisin = 0;
        int nouseva = 0;
        char merkki = ' ';
        for ( char c : merkkijono.toCharArray() ) {
            if (c >= merkki) {
                nouseva++;
            } else {
                pisin = nouseva;
                nouseva = 1;
            }
            merkki = c;
        }
        // jos nouseva jono jatkuu silmukan loppuun asti
        if ( nouseva > pisin ) {
            pisin = nouseva;
        }
        return pisin;
    }
}
