package d9;


import java.io.*;
import java.util.Scanner;

/**
 * Ohjelmalla kopioidaan sellaiset rivit toiseen tiedostoon, joiden alussa
 * on yli 30 oleva luku.
 * @author Joonas Yli-Saari
 */
public class TehtavaT3 {
    /**
     *
     * @param args lähdetiedosto ja kohdetiedosto
     */
    public static void main(String[] args) throws IOException {
        String sourceFile = "";
        String outputFile = "";
        if (args.length < 2) {
            System.out.println("Usage: java TehtavaT3 <sourceFile> <outputFile>");
        } else {
            sourceFile = args[0];
            outputFile = args[1];
        }
        try (Scanner in = new Scanner(new FileInputStream(sourceFile)); PrintWriter out = new PrintWriter(new FileOutputStream(outputFile, true))) {
            while (in.hasNext()) {
                String line = in.nextLine();
                String[] osat = line.trim().split(" ");
                int numero = 0;
                try {
                    numero = Integer.parseInt(osat[0]);
                } catch (NumberFormatException _) {}
                if ( numero >= 30 ) {
                    out.println(line);
                }
            }
        } catch (FileNotFoundException e) {
            System.err.println("Tiedosto ei aukea! " + e.getMessage());
        }
    }
}
