package d9;

public class TehtavaT6 {

    // Lisää aliohjelma poista kommentteineen ja testeineen tähän

    /**
     * Tulostetaan taulukosta lkm kappaletta lukuja
     * @param t   käsiteltävä taulukko
     * @param lkm käsitelteltävien alkioiden lkm
     */
    public static void tulosta(int[] t, int lkm) {
        int tlkm = lkm;
        if (tlkm > t.length) tlkm = t.length;
        for (int i = 0; i < tlkm; i++)
            System.out.print(t[i] + " ");
        System.out.println();
    }

    /**
     * Poistaa taulukosta kaikki esiintymät annetusta numerosta ja pqlauttaa jäljellä olevien alkioiden lukumäärän
     * @param t taulukko josta poistetaan
     * @param lkm alkioiden lukumäärä
     * @param numero poistettava numero
     * @return palauttaa lkm - poistolkm
     *
     * @example <pre name="test">
     * int[] t = { 4, 7, 6, 3, 6, 2 };
     * int lkm = 6;
     * poista(t, lkm, 6) === 4
     * </pre>
     */
    public static int poista(int[] t, int lkm, int numero) {
        int poistot = 0;
        for (int i = 0; i < lkm; i++) {
            if (t[i] == numero) {
                poistot++;
            } else {
                t[i-poistot] = t[i];
            }
        }
        return lkm - poistot;
    }

    public static void main(String[] args) {
        int[] t = { 4, 7, 6, 3, 6, 2 };
        int lkm = 6;

        lkm = poista(t, lkm, 6); /* => t = {4,7,3,2}, lkm = 4 */
        tulosta(t, lkm);
    }
}
