package fxPadelRekisteri;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.control.TitledPane;
import javafx.scene.layout.AnchorPane;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.fxml.FXMLLoader;
import padelRekisteri.Halli;
import padelRekisteri.Kayttaja;


/**
 * @author joona
 * @version 04/02/2025
 */
public class PadelRekisteriMain extends Application {
    public static PadelRekisteriGUIController controller;
    @Override
    public void start(Stage primaryStage) {
        try {
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("PadelRekisteriGUIView.fxml"));
            final BorderPane root = ldr.load();
            final PadelRekisteriGUIController padelrekisteriCtrl = (PadelRekisteriGUIController)ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("padelrekisteri.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("PadelRekisteri");
            primaryStage.show();
            if (!padelrekisteriCtrl.avaa()) { Platform.exit(); }
            Kayttaja k = new Kayttaja();
            k.getHallit().lueTiedostosta();
            k.getTulokset().lueTiedostosta();
            padelrekisteriCtrl.setKayttaja(k);
            controller = padelrekisteriCtrl;
            padelrekisteriCtrl.alusta();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
}