package fxPadelRekisteri;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextField;
import javafx.stage.Stage;


public class UusiUserController implements ModalControllerInterface<String> {
    @FXML
    private ChoiceBox<String> selectSukupuoli;

    @FXML
    private TextField testPostinumero;

    @FXML
    private TextField textEmail;

    @FXML
    private TextField textNimi;

    @FXML
    private TextField textOsoite;

    @FXML
    private TextField textPuhNum;

    @FXML
    private TextField textSyntymavuosi;

    @FXML
    private TextField textToimipaikka;
    /**
     * Tämä funktio sulkee dialogin ilman tallennusta
     */
    @FXML
    public void handleClose() {
        ModalController.closeStage(textNimi);
    }

    /**
     * Tämä käsittelee uuden käyttäjän tallennuksen
     */
    @FXML
    public void handleSave() {
        Dialogs.showMessageDialog("Emme vielä osaa tallentaa uutta käyttäjää");
    }

    /**
     * Tämä funktio avaa UusiUser dialogin
     * @param modalityStage Mille on modaalinen
     */
    public static void avaa(Stage modalityStage) {
        ModalController.showModal(UusiUserController.class.getResource("UusiUserView.fxml"), "Uusi käyttäjä", modalityStage, null);
    }

    @Override
    public String getResult() {
        return "";
    }

    @Override
    public void setDefault(String b) {

    }

    @Override
    public void handleShown() {

    }
}
