package padelRekisteri;

import java.io.PrintStream;
import java.util.Random;

public class Halli {
    private int id;
    private String nimi = "";
    private String osoite = "";
    private int postinumero;
    private String postitoimipaikka = "";
    private int perustamisvuosi = 0;
    private int kenttienMaara = 0;
    private String aukioloaika = "";
    private static int seuraavaId = 1;

    public void asetaTestiArvot() {
        Random rand = new Random();
        nimi = "Jaskan padelhalli " + rand.nextInt(1000, 9999);
        osoite = "Jaskankuja " + rand.nextInt(1000, 9999);
        postinumero = 20540;
        postitoimipaikka = "Turku";
        perustamisvuosi = 2025;
        kenttienMaara = 5;
        aukioloaika = "10:30-23:00";
        rekisteroi();
    }

    public int getId() {
        return id;
    }

    /**
     * Tulostetaan henkilön tiedot
     * @param out tietovirta johon tulostetaan
     */
    public void tulosta(PrintStream out) {
        out.println(String.format("%03d", id, 3) + "  " + nimi);
        out.println("  " + osoite + "  " + postinumero + " " + postitoimipaikka);
        out.print(" Perustettu: " + perustamisvuosi + ".");
        out.print(" Kenttiä: " + kenttienMaara + ".");
        out.print(" Aukioloaika: " + aukioloaika + ".");
    }


    /**
     * Antaa hallille uuden id:n
     * @return uusi id
     */
    public int rekisteroi() {
        id = seuraavaId;
        seuraavaId++;
        return id;
    }

    public String getNimi() {
        return nimi;
    }

}
