package padelRekisteri;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class Hallit implements Luettava<Halli> {

    private ArrayList<Halli> hallit = new ArrayList<>();

    public void lisaa(Halli halli) {
        this.hallit.add(halli);
    }

    public Iterator<Halli> iterator() {
        return hallit.iterator();
    }

    public ArrayList<Halli> getHallit() {
        return (ArrayList<Halli>) hallit;
    }

    /**
     * Lukee hallien tiedot tiedostosta ja lisää ne tietoihin
     * TODO: lue tiedostosta, nyt vain luodaan testidataa
     */
    public ArrayList<Halli> lueTiedostosta() {
        for (int i = 0; i < 5; i++) {
            Halli h = new Halli();
            h.asetaTestiArvot();
            hallit.add(h);
        }
        return (ArrayList<Halli>) hallit;
    }

    /**
     * Antaa hallin annetulla indeksillä
     *
     * @param indeksi
     * @return
     */
    public Halli annaHalli(int indeksi) {
        return hallit.get(indeksi);
    }

    /**
     * Etsii hallin annetun id:n perusteella
     *
     * @param id
     * @return Hallin
     */
    public Halli etsi(int id) {
        Iterator<Halli> it = iterator();
        while (it.hasNext()) {
            Halli h = it.next();
            if (h.getId() == id) {
                return h;
            }
        }
        return null;
    }
}
