public interface Syotava {

    /**
     * Tulostaa olion tiedot konsoliin.
     */
    void tulostaTiedot();

    /**
     * Palauttaa olion tiedot merkkijonona.
     * @return tiedot
     */
    String annaTiedot();

    /**
     * Ottaa parametrina määrän kuinka paljon on syöty ja palauttaa tiedon paljonko
     * energiaa annoksessa oli.
     * @param maara Määrä grammoina
     * @return energian määrä annoksessa
     */
    double paljonkoEnergiaa(double maara);
}
